OSX 10.5 > 10.6 upgrade

Discussion in 'Mac Basics and Help' started by WingoB, Aug 16, 2011.

  1. WingoB macrumors newbie

    Aug 16, 2011
    Hi all,
    I was trying to add Google Chrome to my list of browsers and it said it wasn't compatible with the architecture... here's what I have.

    Operating System: OS X 10.5.8
    Model Name: PowerBook G4 15"
    Model Identifier: PowerBook5,6
    Processor Name: PowerPC G4 (1.2)

    What should I do?

    Thanks for any help.

  2. robbieduncan Moderator emeritus


    Jul 24, 2002
    This has nothing to do with a 10.5>10.6 upgrade. Chrome requires an Intel CPU. Your Mac has a PPC CPU. The only way for you to run Chrome is to buy a new Mac with an Intel CPU.
  3. WingoB thread starter macrumors newbie

    Aug 16, 2011
    Intel CPU

    Well, that solves that mystery... (lol) Thanks a lot Robbie.

Share This Page